<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?><plugin id="com.metamatrix.modeler.vdbview.ui" name="%pluginName" version="5.0.2"
        provider-name="%providerName"
        class="com.metamatrix.modeler.vdbview.ui.VdbViewUiPlugin">

   <runtime>
      <library name="vdbViewUi_PATCH.jar">
         <export name="*"/>
      </library>
      <library name="vdbViewUi.jar">
         <export name="*"/>
      </library>
   </runtime>

   <requires>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.core.runtime"/>
      <import plugin="com.metamatrix.modeler.ui"/>
      <import plugin="com.metamatrix.vdb.edit"/>
      <import plugin="com.metamatrix.modeler.vdb.ui"/>
      <import plugin="com.metamatrix.ui"/>
      <import plugin="com.metamatrix.modeler.dqp"/>
      <import plugin="com.metamatrix.modeler.dqp.ui"/>
      <import plugin="com.metamatrix.modeler.webservice.ui"/>
      <import plugin="com.metamatrix.metamodels.webservice"/>
      <import plugin="com.metamatrix.metamodels.xmlservice"/>
      <import plugin="com.metamatrix.modeler.transformation"/>
      <import plugin="com.metamatrix.metamodels.relational"/>
      <import plugin="org.eclipse.ui.cheatsheets"/>
      <import plugin="com.metamatrix.modeler.jdbc.ui"/>
      <import plugin="com.metamatrix.modeler.jdbc"/>
   </requires>
 
   <extension-point id="vdbViewContentSupplier" name="%vdbViewContentSupplier.name"
                    schema="schema/vdbViewContentSupplier.exsd"/>
   
   <extension point="org.eclipse.ui.views">
      <view name="%vdbExplorer.name" icon="icons/full/cview16/vdbExplorer.gif"
            category="com.metamatrix.modeler.ui"
            class="com.metamatrix.modeler.vdbview.ui.views.VdbView"
            id="com.metamatrix.modeler.vdbview.ui.views.VdbView">
      </view>
   </extension>

   <extension point="org.eclipse.ui.perspectives">
      <perspective name="%virtualDatabasePerspective.name"
                   icon="icons/full/cview16/vdbview_persp.gif"
                   class="com.metamatrix.modeler.vdbview.ui.VdbViewPerspective"
                   id="com.metamatrix.modeler.vdbview.ui.vdbViewPerspective">
      </perspective>
   </extension>

   <extension point="org.eclipse.ui.perspectiveExtensions">
      <perspectiveExtension targetID="com.metamatrix.modeler.vdbview.ui.vdbViewPerspective">
         <actionSet id="com.metamatrix.modeler.ui.search.metadataSearchActionSet">
         </actionSet>

         <perspectiveShortcut id="com.metamatrix.modeler.internal.dqp.ui.jdbc.JdbcClientPluginPerspective"/>

         <perspectiveShortcut id="com.metamatrix.modeler.vdbview.ui.vdbViewPerspective"/>
      </perspectiveExtension>
   </extension>
   <extension point="org.eclipse.ui.editors">
<!-- Connector Bindings Editor -->
      <editor name="%vdbConnectorBindingsEditorPart.name"
              icon="icons/full/cview16/ConnectorBindings.gif"
              class="com.metamatrix.modeler.vdbview.ui.editors.VdbConnectorBindingsEditorPart"
              id="com.metamatrix.modeler.vdbview.ui.editors.VdbConnectorBindingsEditorPart">
      </editor>
   </extension>
   <extension point="com.metamatrix.modeler.dqp.ui.vdbEditorUtil">
      <instance classname="com.metamatrix.modeler.vdbview.ui.editors.VdbEditorUtilImpl"/>
   </extension>

	  <extension point="org.eclipse.ui.importWizards">
      <wizard name="%importVdbContentsWizard.name"
              icon="platform:/plugin/com.metamatrix.modeler.vdb.ui/icons/full/ctool16/importvdb.gif"
              class="com.metamatrix.modeler.vdbview.ui.wizards.ImportVdbContentsWizard"
              id="com.metamatrix.modeler.vdbview.ui.wizards.ImportVdbContentsWizard">
         <description>
            %importVdbContentsWizard.description
         </description>
      </wizard>
   </extension>
   
   <!-- General Preferences -->
   <extension point="com.metamatrix.modeler.ui.generalPreferenceContributor">
      <category id="com.metamatrix.modeler.vdbview.ui.preferences.vdbPreferenceCategory"
                name="%vdbPreferenceCategory">
      </category>
      <!-- Show Model Imports Preferences General Preference -->
      <preference id="com.metamatrix.modeler.vdbview.ui.preferences.showModelImportsPreferenceContributor"
                  categoryId="com.metamatrix.modeler.vdbview.ui.preferences.vdbPreferenceCategory"
                  class="com.metamatrix.modeler.vdbview.ui.preferences.ShowModelImportsPreferenceContributor">
      </preference>
      <!-- Restore Editors General Preference -->
      <preference id="com.metamatrix.modeler.vdbview.ui.preferences.restoreEditorsPreferenceContributor"
                  categoryId="com.metamatrix.modeler.vdbview.ui.preferences.vdbPreferenceCategory"
                  class="com.metamatrix.modeler.vdbview.ui.preferences.RestoreEditorsPreferenceContributor">
      </preference>
	     <!-- Auto-validate General Preference -->
      <preference id="com.metamatrix.modeler.vdbview.ui.preferences.autovalidatePreferenceContributor"
                  categoryId="modeler.ui.modelCategory"
                  class="com.metamatrix.modeler.vdbview.ui.preferences.AutovalidatePreferenceContributor">
      </preference>
	  </extension>
	
   <!-- Model Type Content VDB View Content Supplier Extension -->
	<extension id="com.metamatrix.modeler.vdbview.ui.views.modelTypeContentSupplier"
              name="%modelTypeContentSupplier.name"
              point="com.metamatrix.modeler.vdbview.ui.vdbViewContentSupplier">
		    <class name="com.metamatrix.modeler.vdbview.ui.views.ModelTypeContentSupplier">
      </class>
	  </extension>

   <!-- Models Content VDB View Content Supplier Extension -->
	<extension id="com.metamatrix.modeler.vdbview.ui.views.vdbContentSupplier"
              name="%vdbContentSupplier.name"
              point="com.metamatrix.modeler.vdbview.ui.vdbViewContentSupplier">
		    <class name="com.metamatrix.modeler.vdbview.ui.views.VdbContentSupplier">
      </class>
	  </extension>

   <!-- Web Service Content VDB View Content Supplier Extension -->
	<extension id="com.metamatrix.modeler.vdbview.ui.views.webServiceContentSupplier"
              name="%webServiceContentSupplier.name"
              point="com.metamatrix.modeler.vdbview.ui.vdbViewContentSupplier">
		    <class name="com.metamatrix.modeler.vdbview.ui.views.WebServiceContentSupplier">
      </class>
	  </extension>

   <!-- JDBC Import Post Process (ONLY NEEDED IN DIMENSION DESIGNER) -->
	<extension id="com.metamatrix.modeler.vdbview.ui.wizards.vdbViewImportPostProcessor"
              name="%vdbViewImportPostProcessor.name"
              point="com.metamatrix.modeler.jdbc.ui.jdbcImportPostProcessor">
		    <class name="com.metamatrix.modeler.vdbview.ui.wizards.VdbViewImportPostProcessor">
      </class>
	  </extension>

   <!-- Initializer for preferences -->
   <extension point="org.eclipse.core.runtime.preferences">
      <initializer class="com.metamatrix.modeler.vdbview.ui.preferences.VdbViewPreferenceInitializer"/>
   </extension>

   <!-- Shutdown listener to alert user of VDB validation issues *** ONLY DIMENSION DESIGNER *** -->
   <extension id="vdbViewShutdownListener"
              point="com.metamatrix.modeler.ui.vetoableShutdownListener">
      <class name="com.metamatrix.modeler.vdbview.ui.product.VdbViewShutdownListener">
      </class>
   </extension>

</plugin>